--
-- Create credentials: application/1q2w3e
--
CREATE ROLE application LOGIN
  ENCRYPTED PASSWORD 'md57258938b509552c1e2491a16d429dcfc';

--
-- Create database "application"
--
CREATE DATABASE "application"
  WITH OWNER = application
       ENCODING = 'UTF8'
       LC_COLLATE = 'ru_RU.UTF-8'
       LC_CTYPE = 'ru_RU.UTF-8'
       CONNECTION LIMIT = -1;


--
-- Connect to "application" database
--
\c "application"
SET client_encoding TO 'UTF8';


--
-- Create language for stored procedures
--
CREATE LANGUAGE plpgsql;


--
-- Create schemas
--
CREATE SCHEMA live AUTHORIZATION "application";
COMMENT ON SCHEMA live IS 'Live version';
CREATE SCHEMA test AUTHORIZATION "application";
COMMENT ON SCHEMA test IS 'Test version';
CREATE SCHEMA system AUTHORIZATION "application";
COMMENT ON SCHEMA system IS 'Application settings';
SET search_path TO product;


--
-- Config table
--
CREATE TABLE system.config
(
  "key" character varying(255) NOT NULL,
  "value" TEXT,
  CONSTRAINT config_pk PRIMARY KEY ("key")
)
WITH (
  OIDS=FALSE
);
ALTER TABLE system.config OWNER TO application;


--
-- Default config
--
INSERT INTO system.config ("key", "value") VALUES ('db_version', '0');
