package name.krestjaninoff.application.security;

import org.springframework.security.core.GrantedAuthority;

/**
 * Authority
 *
 * @author Mikhail Krestjaninoff
 */
public class GrantedAuthorityImpl implements GrantedAuthority {
	private static final long serialVersionUID = 2787495511794659375L;
	
	String authority;
	
	public GrantedAuthorityImpl(String name) {
		this.setAuthority(name);
	}
	
	@Override
	public String getAuthority() {
		return this.authority;
	}
	private void setAuthority(String authority) {
		this.authority = authority;
	}

	@Override
	public String toString() {
		return "GrantedAuthorityImpl [authority=" + authority + "]";
	}
}
