package name.krestjaninoff.application.unused.secrity;

import org.springframework.security.core.Authentication;
import org.springframework.security.core.context.SecurityContext;

/**
 * Security context
 * 
 * @author Mikhail Krestjaninoff
 */
//@Component("securityContext")
public class SecurityContextImpl implements SecurityContext {
	private static final long serialVersionUID = -7959241106661007462L;

	private final ThreadLocal<Authentication> currentAuth = new ThreadLocal<Authentication>();

	@Override
	public Authentication getAuthentication() {
		return currentAuth.get();
	}

	@Override
	public void setAuthentication(Authentication authentication) {
		currentAuth.set(authentication);
	}
}
