package name.krestjaninoff.application.unused.session;

/**
 * Object with expirable life time 
 *
 * @author Mikhail Krestjaninoff
 */
interface Expirable {

	/**
	 * Get idle time of object
	 * 
	 * @return Idle time
	 */
	public Long getIdleTime();
	
	/**
	 * Update object's access time
	 */
	public void updateAccessTime();
}
