package name.krestjaninoff.application.web;

import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.web.servlet.ModelAndView;
import org.springframework.web.servlet.mvc.AbstractController;

public class HealthHandler extends AbstractController {
	
	@Override
	protected ModelAndView handleRequestInternal(
			HttpServletRequest httpservletrequest,
			HttpServletResponse httpservletresponse) throws Exception {
		
		ServletOutputStream outputStream = httpservletresponse
				.getOutputStream();
		try {
			outputStream.println("I am alive");
		} finally {
			outputStream.flush();
		}

		return null;
	}
}
